namespace Syntriax.Modules.Movement.VariableMovement.SimpleImplementation
{
    public class SimpleVariableMovement : IVariableMovement
    {
        protected IVariableMovementAsset _variableMovementAsset = null;

        public IVariableMovementAsset VariableMovementAsset
        {
            get => _variableMovementAsset;
            set
            {
                _variableMovementAsset = value;
                StateEnabled = false;
            }
        }
        public bool StateEnabled { get; set; } = false;

        public SimpleVariableMovement() { }

        public SimpleVariableMovement(IVariableMovementAsset variableMovementAsset)
            => VariableMovementAsset = variableMovementAsset;
    }
}
