using UnityEngine;

namespace Syntriax.Modules.Movement.VariableMovement.SimpleImplementation
{
    [CreateAssetMenu(fileName = "Simple Variable Movement Asset", menuName = "Syntriax/Modules/Movement/VariableMovement/Simple Variable Movement Asset", order = 0)]
    public class SimpleVariableMovementAsset : ScriptableObject, IVariableMovementAsset
    {
        [SerializeField] protected float movementMultiplier = 1f;

        public string MovementName => this.name;
        public float MovementMultiplier => movementMultiplier;
    }
}
